/// <reference types="react" />
import Component, { Props } from "./Component";
export interface Visitable {
    getter(): {
        pepe?: string;
    };
}
export interface ApplicationProps extends Props {
    name: string;
    visitable: Visitable;
}
export interface ApplicationState {
    counter: number;
}
export default class Application extends Component<ApplicationProps, ApplicationState> {
    static propTypes: {
        name: (object: any, key: string, componentName: string, ...rest: any[]) => Error;
    };
    constructor(props: ApplicationProps);
    render(): JSX.Element;
}
