"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
/**
 * Base component which wraps render function in a try catch structure
 * Any child components who extends from this component will get protection when
 * Exception thrown, so protect component life cycle.
 */
var Component = /** @class */ (function (_super) {
    __extends(Component, _super);
    /**
     *
     * @param props
     * @param context
     */
    function Component(props, context) {
        return _super.call(this, props, context) || this;
    }
    /**
     *
     * @return {JSX.Element}
     */
    Component.prototype.render = function () {
        return this.props.children;
    };
    return Component;
}(React.Component));
exports.default = Component;
//# sourceMappingURL=Component.js.map